#!/usr/bin/env node
// const build = require('./build');
const devServer = require("./server");
const pkg = require("./package.json");
const log = require("./lib/log");

switch (process.argv[2]) {
    case undefined:
    case "serve":
        devServer();
        break;
    case "build":
        // build();
        log("hoxton build is not yet implemented");
        break;
    case "-v":
    case "--version":
        log(`Hoxton CLI version ${pkg.version}`);
        break;
    default:
        // eslint-disable-next-line no-console
        console.error(`${process.argv[2]} is not a recognised command`);
        break;
}
